# Uses of Class
org.stianloader.picoresolve.GAV

Packages that use GAV
Package
Description
org.stianloader.picoresolve

## Uses of GAV in org.stianloader.picoresolve

Fields in org.stianloader.picoresolve declared as GAV
Modifier and Type
Field
Description
`final @NotNull GAV`
DependencyLayer.DependencyLayerElement.`gav`
Methods in org.stianloader.picoresolve that return types with arguments of type GAV
Modifier and Type
Method
Description
`@NotNull CompletableFuture<Map.Entry<@NotNull GAV,RepositoryAttachedValue<Path>>>`
MavenResolver.`download(@NotNull String group, @NotNull String artifact, @NotNull VersionRange versionRange, @Nullable String classifier, @NotNull String extension, @NotNull Executor executor)`
Methods in org.stianloader.picoresolve with parameters of type GAV
Modifier and Type
Method
Description
`static @NotNull DependencyLayer`
DependencyLayer.`createLayerFor(@NotNull GAV rootNode, @NotNull GAV @NotNull ... dependencies)`
Create a new `DependencyLayer` with the given `GAV` as the root node.
`CompletableFuture<RepositoryAttachedValue<Path>>`
MavenResolver.`download(@NotNull GAV gav, @Nullable String classifier, @NotNull String extension, @NotNull Executor executor)`
Constructors in org.stianloader.picoresolve with parameters of type GAV
Modifier
Constructor
Description
``
`DependencyLayerElement(@NotNull GAV gav, @Nullable String classifier, @Nullable String type, @NotNull ExclusionContainer<?> parentExclusions, @NotNull List<DependencyLayer.DependencyEdge> outgoingEdges)`